/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "playlistitem.h"
#include "helper.h"

PlaylistItem::PlaylistItem(QListView * parent, int pos,
                 QString filename, QString name, float duration) 
	: QListViewItem(parent)
{
	_pos = pos;
	_filename = filename;
	_name = name;
	_duration = duration;
}

QString PlaylistItem::text( int column ) const {
	QString number;
    QString name;
    QString time;

	number.sprintf("%03d", _pos );
	name = _name;
	if (name.isEmpty()) name = _filename;
	time = Helper::formatTime( (int) _duration );

	switch (column) {
		case 0: return number;
		case 1:	return name;
		case 2: return time;
		default:  return QString::null;
	}
}
